Ubuntu

MASTER: momentary video garbage upon drawing new objects (particularly in KDE)

Reported by Zorael on 2008-08-03
318
This bug affects 35 people
Affects Status Importance Assigned to Milestone
Intrepid Ibex Backports
Undecided
Unassigned
X.Org X server
Unknown
Medium
kubuntu-kde4-meta (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
xorg-server (Ubuntu)
High
Unassigned
Intrepid
High
Unassigned
Jaunty
High
Unassigned

Bug Description

[Important bug]

This bug is an epic fail, because:

  * it is a security bug:
     * every time you switch windows, open menus, or LOCK THE SCREEN or start SCREEN SAVER, any people near by can see what was on your screen some time ago (random pixmaps).
     * this can show up your emails
     * this can show up your important documents (think: work and NDAs, and so on)
     * this can show p0rn to your children (heh...)
     * this can show your passwords (think: copy paste a password received via email, even with OpenPGP)

On top on that, all the things that where suppose to look nice (3d effects), look TERRIBLE, showing ugly random pixmaps instead of nice fadein/out/zoom. This makes entire 3d effects stuff USELESS on affected hardware.

This affects many (most?) intell gfx - so probably most laptops!!!

[Symptom]
Whenever a new object is drawn, such as the application menu or any application whatsoever, the space in which it will be drawn is first allocated with video garbage. After a brief delay - perhaps 200ms - the garbage is properly replaced with the real object contents.

[Discussion]
The RedHat patch 107_fedora_dont_backfill_bg_none.patch, which is necessary for obtaining acceptable performance with compositing desktop managers, causes this problem because it bypasses the (sloow) initialization of background pixmaps.

<ajax> the problem is that windows can have their background pixmap set to "None", which means something vaguely like "don't draw a background at all, just reuse the bits underneath wherever the window got mapped"
<rdieter> it seems to have side effects...
<ajax> no kidding!
<ajax> in Composite there's no strong notion of "the bits underneath where you got mapped"
<ajax> since the compositor could map you anywhere
<ajax> trying to do what the protocol says is intensely painfully slow since it's a readback from the card and those aren't fast
<ajax> so what gnome quite sensibly does is tells the compositor not to show the window contents until they're painted, using the same sync protocol that window resizing uses.
<ajax> and then the server just doesn't define initial window contents when the window is both redirected and bg=None
<rdieter> so it wouldn't be wrong to assert there's an issue/buglet here (in kde) still, and the xorg patch is simply helping to expose it?
<ajax> it's sort of ugly no matter what you do, which is why we're still carrying that patch four releases later instead of having it upstream. anything you do here is wrong.
<ajax> you're either breaking protocol semantics that have been good for twenty years, or you're screwing performance.
<ajax> rdieter: i'd say kde should do the sync protocol for mapping here, yes. it'll make it look right on servers with this hack, but it'll also look better on unpatched servers since you won't see the menu in mid-draw

[Original Report]
Binary package hint: kubuntu-kde4-desktop

I'm running KDE 4.1 from the ppa listed at kubuntu.org, but I've had this issue ever since the first 4.0 betas. This is on a Hardy machine.

Whenever a new object is drawn, such as the application menu or any application whatsoever, the space in which it will be drawn is first allocated with video garbage. After a brief delay - perhaps 200ms - the garbage is properly replaced with the real object contents. It looks as if it's displaying "old" video memory, if that makes sense. It is hard/impossible to get a proper screenshot depicting this.

Restoring a minimized Firefox is a surefire way of reproducing it; every other time it will be video garbage, every other time it will just be a black box. And again, application menu, right-click menus, titlebar menus; *anything* KDE4 draws. After having once spawned the object, the next time it will draw "garbagelessly", with some exceptions (such as Firefox, for some reason).

I've tried and gotten this on two machines running Intel integrated graphics (with the xserver-xorg-video-intel driver), and one with the proprietary Nvidia driver; both exhibit the same behavior. I've had some other people confirming it at the Ubuntu forums, too. Please see: http://ubuntuforums.org/showthread.php?t=788023&highlight=drawn+time&p=5009121 and the following few replies.

Enabling or disabling Desktop Effects doesn't seem to make any difference, and I've tried enabling random video options in xorg.conf but I can't say I've had much luck. For instance, on this intel machine:

        Option "XAANoOffscreenPixmaps" "true"
        Option "InitialPixmapPlacement" "2"
        Option "DRI" "true"
        Option "AccelMethod" "EXA"
        Option "ExaNoComposite" "false"
        Option "MigrationHeuristic" "greedy"
        Option "BackingStore" "true"
        Option "PageFlip" "true"
        Option "TripleBuffering" "true"

Again, even with a vanilla xorg.conf with no explicit video options defined, the behavior persists.

Some other info:

        $ apt-cache policy kdebase-bin-kde4 kde-window-manager
        kdebase-bin-kde4:
          Installed: 4:4.1.0-0ubuntu1~hardy1~ppa2
          Candidate: 4:4.1.0-0ubuntu1~hardy1~ppa2
          Version table:
         *** 4:4.1.0-0ubuntu1~hardy1~ppa2 0
                500 http://ppa.launchpad.net hardy/main Packages
                100 /var/lib/dpkg/status
             4:4.0.5-0ubuntu1~hardy1 0
                500 http://se.archive.ubuntu.com hardy-backports/main Packages
             4:4.0.3-0ubuntu2 0
                500 http://se.archive.ubuntu.com hardy/universe Packages
        kde-window-manager:
          Installed: 4:4.1.0-0ubuntu1~hardy1~ppa2
          Candidate: 4:4.1.0-0ubuntu1~hardy1~ppa2
          Version table:
         *** 4:4.1.0-0ubuntu1~hardy1~ppa2 0
                500 http://ppa.launchpad.net hardy/main Packages
                100 /var/lib/dpkg/status

Related branches

Johnny Levai (digistyl3) wrote :

The same thing happens on my desktop. It isn't a serious bug, but it's very ugly and sometimes annoying.

Changed in kubuntu-kde4-meta:
status: New → Confirmed

I can confirm this bug is still present in KDE 4.1.1.

Dustan Ashley (dashley) wrote :

I would also like to +1 this bug. I see this on every system that I have tried KDE4 on (Intel950, nVidia Quadro 128m, and nVidia 8800GT). It does not really impact use of the software, but it's horribly ugly :-D

Sergei Andreev (seajey) wrote :

Same hear.
But I thought it was nVidia to blame for.

kolen (incredible-angst) wrote :

Also appears in KDE 4.1.2-0ubuntu2 in Intrepid.
I am using Nvidia drivers 177.80-0ubuntu2.

logic7 (logic747) wrote :

Theres a nice long thread devoted to this bug with screenshots here:

http://forum.kde.org/showthread.php?tid=6511

my brand new 8.10 kubuntu installation is affected to. i've been able to shorten the time garbage is displayed by using

nvidia-settings -a InitialPixmapPlacement=2 -a GlyphCache=1 &

but it is still there. not a showstopper but very ugly.

my system:

Kubuntu 8.10
GeForce 7600 GT
Nvidia driver 177.80

Michael Z. Krog (mic-apaq) wrote :

I see this too running Kubuntu 8.10 and on both Nvidia(Dell 9400) and Intel chip(Macbook).

I succeded in making a screenshot of it, which I have attached.
The screenshot shows it bug when I opened a new opera instance, but it occurs very often on with drop down menu's and the like as already mentioned.

After a short period(<1 sec.) the right content is drawn.

Jorge Eduardo (jorge-birck) wrote :

yeah, this affect me too in the lastest version of KDE 4.1. KDE 4 dont look pretty, looks terrible with this bug!

kgoeser (kevin-kevin-online) wrote :

I upgraded four systems to intrepid - all show the same effect (with Intel, NVidia and ATI boards). Maybe also bug #289329 has the same cause?

Andrew Davison (darkinnit) wrote :

I get this on a XFCE Desktop too (was installed as an Ubuntu system but also installed the Xubuntu packages). On my other computer, running Kubuntu, it is much more noticeable. But it doesn't seem to be limited to just KDE.

Brian O'Reilly (fade-ubuntu) wrote :

I am also seeing this problem. My setup uses focus follows mouse, and I often see screenborders drawn in the forground of opaque windows until i move the mouse in or out of the frame causing it to redraw. The system has an nvidia 7600GT video card and is running 8.10 and KDE4 current with that release. This looks like a bad interaction between the video driver and the compositing window manager, to me at least.

logic7 (logic747) wrote :

Just upgraded to the new Nvidia Driver 177.82 and for Firefox & Thunderbird things improved much. The visibility of video garbage is now reduced to the same amount it has in KDE4 applications.

Conclusions:

- The video garbage on firefox/thunderbird and whats happening in KDE4 apps are two different bugs.
- For firefox/thunderbird this seems to be resolved (?)
- KDE4 video garbage problem remains

Brian Harkness (maestro-bwh) wrote :

Not that more people need to agree. It is worse with Firefox. Doesn't seem to happen with OpenGL enabled on my intel cards, but I Use Xrender and it does happen. XRender is faster on my intel video machines.

It also happens with my laptop that uses a very cheap SIS graphics card.

I believe http://bugs.kde.org/show_bug.cgi?id=170462 to be the correct upstream bug, go and vote for it if you can !

Zorael (zorael) wrote :

>> I believe http://bugs.kde.org/show_bug.cgi?id=170462 to be the correct upstream bug, go and vote for it if you can !

That bug report is a crosspost of this one. I wasn't sure which one would reach the "right people" so I posted at both launchpad and bugs.kde.org. ;3

Yves Glodt posted a short video clip over there of the video garbage in action. See: http://bugs.kde.org/attachment.cgi?id=28151

I'm still experiencing this with the 4.1.3 build available from Intrepid's backports repository, tested on several machines though only (personally) with intel, nv and nvidia drivers. It's keeping me from KDE4 at the moment, which saddens me greatly. I'd be more than happy to perform whatever tests could help diagnose things (again, limited to intel/nv/nvidia).

Niels Egberts (nielsegberts) wrote :

I'm also experiencing this issue, so far these annoyances have drawn me towards Gnome. I hope this can be fixed for 4.2?

Adam Spain (adamspain) wrote :

I've found the issue exists on the Kubuntu 8.10 live CD but not the Fedora 10 KDE live CD, so Fedora seems to be doing something different which avoids the issue (at least on the live CD for me).

Andrew Davison (darkinnit) wrote :

I've tried the Nvidia 180 driver that is now available in the Ubuntu Jaunty repository (http://packages.ubuntu.com/jaunty/nvidia-180-kernel-source). I no longer experience the video garbage whether using Compiz or not. It's also cleared up a video artifact bug that caused severe rendering issues when Eclipse was open. So I'm very happy now. :-)

Many people have reported problems using suspend/standby/hibernate etc with the Nvidia 180 driver, so use at your own risk etc. I don't use suspend/standby/hibernate on this machine so it's fine for me.

The system tray bug is still there though, but that's apparently related to the system tray itself and is supposedly going to be fixed in KDE 4.2.

I also had random crashing problems with the Nvidia 177 driver, but as they are random, I will have to wait to see if they still occur.

I'm using a Gigabyte GA-M68SM-S2 motherboard, which has an onboard GeForce 7025

Datman (datnguyen5) wrote :

Same problem with Nvidia 8400M GS

logic7 (logic747) wrote :

I can confirm that the Nvidia Driver 180.06 (Beta) fixes the issue for my GeForce 7600 GT and my GeForce 9300M. It also fixes the bug where the panel was destroyed whenever a Thunderbird or Eclipse window with a caret was active.

Finally a solution to this annoying bug... its just like christmas time, oh wait, it *is* christmas time :)

Zorael (zorael) wrote :

As some here and on the kde.org bugtracker entry have already pointed out, this seems to be /very/ specific to Ubuntu's X.org builds. It's not prevalent in Fedora, OpenSUSE, nor Debian. As Niels Slot mentioned (at http://bugs.kde.org/show_bug.cgi?id=170462#c36) if you add Debian's unstable repo to your Kubuntu apt sources and manually install its X.org binaries, *that gets rid of it*. I haven't tried this myself yet, so second-hand information.

It seems to be an X quirk that Nvidia just found a way to work around. No Christmas time for us with intel chipsets. :'<

Could this be caused and fixed by some option set/not set when compiling?

Zorael (zorael) wrote :

Considering how other distros don't seem to get it, and how people are able to work around it on their Kubuntu systems by installing Debian's X.org package (http://bugs.kde.org/show_bug.cgi?id=170462#c36), it seems to be xserver-xorg specific.

Download full text (3.5 KiB)

unsubscribe

António Albuquerque

On Fri, Dec 19, 2008 at 11:33, Launchpad Bug Tracker <
<email address hidden>> wrote:

> You have been subscribed to a public bug:
>
> Binary package hint: kubuntu-kde4-desktop
>
> I'm running KDE 4.1 from the ppa listed at kubuntu.org, but I've had
> this issue ever since the first 4.0 betas. This is on a Hardy machine.
>
> Whenever a new object is drawn, such as the application menu or any
> application whatsoever, the space in which it will be drawn is first
> allocated with video garbage. After a brief delay - perhaps 200ms - the
> garbage is properly replaced with the real object contents. It looks as
> if it's displaying "old" video memory, if that makes sense. It is
> hard/impossible to get a proper screenshot depicting this.
>
> Restoring a minimized Firefox is a surefire way of reproducing it; every
> other time it will be video garbage, every other time it will just be a
> black box. And again, application menu, right-click menus, titlebar
> menus; *anything* KDE4 draws. After having once spawned the object, the
> next time it will draw "garbagelessly", with some exceptions (such as
> Firefox, for some reason).
>
> I've tried and gotten this on two machines running Intel integrated
> graphics (with the xserver-xorg-video-intel driver), and one with the
> proprietary Nvidia driver; both exhibit the same behavior. I've had some
> other people confirming it at the Ubuntu forums, too. Please see:
>
> http://ubuntuforums.org/showthread.php?t=788023&highlight=drawn+time&p=5009121
> and the following few replies.
>
> Enabling or disabling Desktop Effects doesn't seem to make any
> difference, and I've tried enabling random video options in xorg.conf
> but I can't say I've had much luck. For instance, on this intel machine:
>
> Option "XAANoOffscreenPixmaps" "true"
> Option "InitialPixmapPlacement" "2"
> Option "DRI" "true"
> Option "AccelMethod" "EXA"
> Option "ExaNoComposite" "false"
> Option "MigrationHeuristic" "greedy"
> Option "BackingStore" "true"
> Option "PageFlip" "true"
> Option "TripleBuffering" "true"
>
> Again, even with a vanilla xorg.conf with no explicit video options
> defined, the behavior persists.
>
> Some other info:
>
> $ apt-cache policy kdebase-bin-kde4 kde-window-manager
> kdebase-bin-kde4:
> Installed: 4:4.1.0-0ubuntu1~hardy1~ppa2
> Candidate: 4:4.1.0-0ubuntu1~hardy1~ppa2
> Version table:
> *** 4:4.1.0-0ubuntu1~hardy1~ppa2 0
> 500 http://ppa.launchpad.net hardy/main Packages
> 100 /var/lib/dpkg/status
> 4:4.0.5-0ubuntu1~hardy1 0
> 500 http://se.archive.ubuntu.com hardy-backports/main
> Packages
> 4:4.0.3-0ubuntu2 0
> 500 http://se.archive.ubuntu.com hardy/universe Packages
> kde-window-manager:
> Installed: 4:4.1.0-0ubuntu1~hardy1~ppa2
> Candidate: 4:4.1.0-0ubuntu1~hardy1~ppa2
> Version table:
> *** 4:4.1.0-0ubuntu1~hardy1~ppa2 0
> 500 http://ppa.la...

Read more...

I want to report the same here as I just did on http://bugs.kde.org/show_bug.cgi?id=170462.

I've tried building xserver-xorg-core without some Ubuntu/Fedora specific patches. A build of xserver-xorg-core without the '107_fedora_dont_backfill_bg_none.patch' patch doesn't seem to have any video garbage. Steps you can use to reproduce are on the KDE bug report.

Adam Spain (adamspain) wrote :

I can confirm that disabling that patch does seem to fix the issue. I've made some debs on my PPA with the patch disabled for Intrepid, and if I install the xserver-xorg-core deb from my PPA (on a Kubuntu Intrepid live CD) and restart X it gets rid of the video garbage I normally get when right clicking on the desktop or bringing up the kicker menu.

Fixes issues for me here on intel hardware with Kubuntu 8.10.

This bug has 276 votes in KDE bugzilla. That is more than any open KWin bug. KDE would like to see this bug resolved as it is destroying the KDE feeling.

It would be great if there were a Christmas present to all Kubuntu users by providing a fixed xorg package. Unfortunately the importance of the bug is still undecided.

birdflesh (birdflesh) wrote :

I'm confirming that using the xorg packages from Adam Spain's PPA there is no video garbage anymore.
(KDE 4.2 beta on nvidia gpu)

Alberto Milone (albertomilone) wrote :

Dropping the patch solves some serious corruptions with the Intel driver. In my opinion, given the feedback in this bugreport and in the KDE bugzilla, it's worth removing the patch.

See the attached debdiff.

Bryce Harrington (bryce) wrote :

Timo, what are your thoughts on dropping xserver patch 107_fedora_dont_backfill_bg_none.patch ?

Changed in xorg-server:
assignee: nobody → tjaalton
importance: Undecided → High
status: Confirmed → Triaged
Timo Aaltonen (tjaalton) wrote :

it's a tradeoff performance-wise... it was dropped last time for feisty, but added back quickly when people complained about the lower performance.

Feisty is more than two years ago... Perhaps perfomance problems have been resolved in xorg upstream and this unofficial patch doesn't is relevant anymore...

This cause a really big issue for all the kde users. Thanks to take care of us.

Cheers !!

Michael Chang (thenewme91) wrote :

I recall seeing this sort of garbage in early versions of compiz; but it seems to have been "worked around", since it's quite clearly not there any more. How does compiz get around the lack of backfilling, and is it something that could also be done by KDE's compositing manager?

okparanoid (okparanoid) wrote :

Why kde should workaround, against an unofficial old patch that its used only in the ubuntu kernel (if i well understand the creator itself, fedora, doesnt use the patch anymore) . Dont we know really what it does now ?

Cheers !

John Carlyle-Clarke (jpcc) wrote :

@Michael Chang: I've always had and still have this problem on a machine with an nVidia 7900GTO (currently on 8.04) in Compiz and xcompmgr. My Intel-based laptop didn't have this problem in Compiz in 8.04, but it has appeared after my 8.10 upgrade. (I also tried out Arch Linux + KDE4 on that same laptop which has a similarly new Xorg server to 8.10 and saw the same problem).

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/290849

I'm not sure if the two bugs are related - maybe there are multiple causes of this issue. I've picked up some other display problems in 8.10 on Intel so maybe there are different things going on. But this issue seems to span across distros and different graphics hardware and come and go with time which makes it hard to pin down.

birdflesh (birdflesh) wrote :

I believe that using nvidia-glx-180 series solves the problem (currently on Kubuntu jaunty)

okparanoid (okparanoid) wrote :

The problem is not coming from NVidia.

NVidia just workaround this specific patch coming from ubuntu... This is obviously not the solution of the problem.
Others cards drivers haven't a workaround for this and should not be bloated just because of one distribution. Why not just removing this old patch ?

Cheers

I agree with okparanoid - nvidia (without telling anyone, apparently) made a work around (not a fix, not solving the problem). This same burden should not be placed on every other graphics driver.
Remove the patch.
Remove it for 9.04.
Remove it now :-)
The bug in the KDE bug base is the most (un !)popular one they have listed...

TC (tchough) wrote :

I'd just like to point out that this bug is more than a cosmetic issue, it has privacy implications, as well. Anything displayed on screen at any time may be viewed again minutes, hours, or in some cases days later by any user.

Usually, it's just a brief 1 second flash, but in extreme cases when there is lots of I/O activity, the old video memory can be displayed for minutes at a time. The worst case I've seen is probably the default KDE locked screen saver that appears after waking a machine up from suspend mode. The slightly garbled contents of old video memory are displayed for the world to see indefinitely while the screen saver waits for a user to enter a password. An account is not even needed to peek at what was being displayed on screen previously.

Bryce Harrington (bryce) on 2009-01-16
description: updated
Changed in xorg-server:
assignee: tjaalton → nobody
Changed in xorg-server:
status: Unknown → Confirmed
Xwang (xwang1976) wrote :

I have the same bug.
It appears when using the classic menu and when with kickoff you select the reboot or shutdown options.
In such cases the garbage remains till the Xserver is closed.
It has also privacy implications, so please release a security update.
Thank you,
Xwang

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.5.99.901-0ubuntu1

---------------
xorg-server (2:1.5.99.901-0ubuntu1) jaunty; urgency=low

  [ Timo Aaltonen ]
  * debian/rules: Enable dbus-support.
  * Merge current server-1.6-branch.
  * Disable patch 107 for now, to see what kind of a performance hit
    it'll be. The problem it causes is random garbage on windows
    while apps are being loaded.
    (LP: #254468)
  * Remove patches 150, 151, 152, 154, applied upstream.

  [ Bryce Harrington ]
  * 156_exevents_copykeyclass_nullptrcheck.patch: Add several NULL pointer
    checks in CopyKeyClass to prevent SEGFAULT seen when pressing button
    on an ATI USB remote control.
    (LP: #311254)

 -- Timo Aaltonen <email address hidden> Sat, 17 Jan 2009 16:17:58 +0200

Changed in xorg-server:
status: Triaged → Fix Released
lpirotte (laurent-pirotte) wrote :

Fine, but do you plan to backport the fix in Intrepid ?

Changed in xorg-server:
status: Confirmed → Invalid
Chris Samuel (chris-csamuel) wrote :

Sorry, I don't consider this "Fix released" without a fix being released for the current release, 8.10 - Intrepid, at least!

Can we please get it reset back to "Confirmed" until a fix really has been released ?

Niels Egberts (nielsegberts) wrote :

Non-security update's hardy get it into an already released version of Ubuntu. Most bugs just get fixed in the next release.

I think this bug has to be promoted to an security issue if it wants to be fixed in the current release.

Is it not possible to publish it in the backport repository ?

On Wed, 2009-01-21 at 12:02 +0000, Niels Egberts wrote:

> Non-security update's hardy get it into an already released version of
> Ubuntu. Most bugs just get fixed in the next release.
>
> I think this bug has to be promoted to an security issue if it wants to
> be fixed in the current release.
>

mosteo (public-mosteo) wrote :

It may be not a security bug in the sense of exploits, but it is a big privacy leak. As has been pointed (and I experience this daily), locking your session will fill the screen with garbage that is mostly your last desktop snapshot. I even have the screensaver activated and it doesn't get rid of this garbage.

Michael Chang (thenewme91) wrote :

The "Fix Released" status is correct -- the fix has been released -- in Jaunty.

If you would like to see these changes in an earlier version of Ubuntu, please take a look at the Backports and StableReleaseUpdates policies:

https://help.ubuntu.com/community/UbuntuBackports
https://wiki.ubuntu.com/StableReleaseUpdates

Regarding the user who believes this is a security concern, you may want to notify the security team, and verify that they are aware of the problem, first.

https://wiki.ubuntu.com/SecurityUpdateProcedures

Scott Kitterman (kitterman) wrote :

This should be an SRU, not a backport.

Changed in intrepid-backports:
status: New → Won't Fix
Kees Cook (kees) wrote :

If there is a screen-locking privacy loss, a separate bug against gnome-screensaver should be opened. This bug is about the garbage-vs-performance in the X server and associated drivers.

Changed in xorg-server:
importance: Undecided → High
status: New → Confirmed
Andy Goossens (andygoossens) wrote :

Kees Cook: I think you misread mosteo's comment. The garbage is the direct cause of the privacy loss. At this moment I cannot just lock my desktop and walk away because as soon as I turn my back the garbage may display a personal mail, plain text passwords, etc...

Andy Goossens (andygoossens) wrote :

I just installed KDE 4.2 and it is even worse now. It happens when scrolling in Konsole, flickering or disappearing taskbar entries when hovering them, ... It looks different, but it still is garbage. The garbage is permanently visible (until you can make it redraw).

But... it will only appear when you have a particular window focused. e.g. Eclipse or OpenOffice.org Writer (but not with OOo Calc, Impress or Draw).

Scott Kitterman (kitterman) wrote :

I just rebuilt xorg-server without the patch in question and this definitely solves it. I'm discussing with other Kubuntu Developers about adding a patched version to the PPA where we are distributing KDE 4.2 for Intrepid.

That's a very good idea. And it's 'experimental' but will still get wide testing.

ScottK pointed me at this bug suggesting it was the cause of poor compiz performance in jaunty ...

Timo, is there an identical X server but with this patch that I could try to see whether it is the cause?

If it is, I wouldn't describe it as "lower performance" - it's taking eight seconds to simply switch a workspace!

LimCore (limcore) wrote :

This bug should be Critical.

Epic privacy exposure, especially thanks to the screen-saver.

Mackenzie Morgan (maco.m) wrote :

Just wanted to point out that in Jaunty before this patch was applied, if I did the following:
1. Lock screen
2. Suspend before it finishes locking
3. Resume from suspend

I could read my email for about 3-5 seconds (Evolution was open at the time) before it brought in the screensaver with the lock screen. I was using Compiz.

Mackenzie Morgan (maco.m) wrote :

Oh, and that was with GNOME.

LimCore (limcore) wrote :

SECURITY (PRIVACY EXPOSURE) example

Another "use case" to demonstrate the security exposure.

1. run gqviewer image browser
2. open some por^H some secret images - say a picture of your boss with caption "you are noob"
3. then continue browsing, go to other folder with other photos, in example business presentation
4. invite boss
5. press space often to (quickly) jump to next picture in the presentation (perhaps in fullscreen mode - F key)
6. under right conditions, often one of the previously watched pictures (like the secret one) will for a moment pop-up (sometimes a bit distorted or in other colors)
7. look for a new job

LimCore (limcore) wrote :

Attaching example of the random pixmap, when starting firefox.
(krecordmydesktop - ogg video)

sebas (sebasje) wrote :

Just as a datapoint to the Xorg maintainers reading this:

Since the patch has been applied to Ubuntu's Xorg, compositing has slowed down for me to a degree that I'm now running without it.

For example, it takes well beyond one second to get the yakuake window up with compositing on, while before the Ubuntu Xorg packages were updated, it would be almost instantaneously. It's absolutely swift with compositing off.

I'd much rather have the momentary garbage on the screen, that was only a visual distraction but didn't actually render the system less usable.

Hardware is ATI x1300, symptoms happen with the last couple of fglrx drivers and the free radeon driver in Intrepid.

It's not 'only a visual distraction' it's a serious information disclosure problem. See about 2 comments up this thread !

Well, actually removing the patch makes my KDE4 experience with composite much smoother. I'm using a onboard GMA950 on Intrepid, so this performance drop probably just affects ATI owners. One more thing, does anyone knows why this just affects Ubuntu?

Alex Kunitsa (mc-troy) wrote :

how did you installed it on Intrepid?

There's a ppa with the xorg build without that patch, and correct if I'm wrong, but you can find that build on the kubuntu's kde 4.2 ppa

All was well using the -backports X server, until the update tonight. Now my garbage is back, in KDE4 from the same repo. Same symptom (Firefox bookmarks menu).

Jonathan Thomas (echidnaman) wrote :

The xserver packages in the kubuntu-experimental PPA were superseded by a bugfix update in intrepid-updates with a higher version. The kubuntu-experimental packages will need to be updated with that fix.
Closing the kubuntu-kde4-meta task, as it is not a problem with the kubuntu-kde4-desktop package from Hardy.

Changed in kubuntu-kde4-meta (Ubuntu Intrepid):
status: New → Invalid
Changed in kubuntu-kde4-meta (Ubuntu Jaunty):
status: New → Invalid

Seems fixed here on my intel driver using hardware with the 9.4 beta.

Michael Chang (thenewme91) wrote :

I believe this particular bug is fixed for me, using intel driver with 9.4 beta, but I am now seeing garbage in other places (particularly when switching between applications). Intend on filing new bugs when I get a chance.

Scratch that - the problem listed in the Kubuntu 9.04 beta release notes effects me (intel 945GM, intel driver) and although the Firefox menus are fine, there is intermittent corruption of the main areas of core applications (such as Kontact).

Have any intel users with this problem, and using Jaunty, tried UXA as per https://wiki.ubuntu.com/X/UxaTesting ?
Dispite the warning on that page, see my comment at the foot of the table.

LimCore (limcore) on 2009-04-01
description: updated

It is not fixed for me in Kubuntu 9.04 beta and still the problem remains. The screen corruption occurs and traces of other applications are left in some applications, mostly Kontact/KMail.

X server version: 1.6.0
Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

xserver-common/jaunty uptodate 2:1.6.0-0ubuntu11
xserver-xorg/jaunty uptodate 1:7.4~5ubuntu18
xserver-xorg-core/jaunty uptodate 2:1.6.0-0ubuntu11
xserver-xorg-video-intel/jaunty uptodate 2:2.6.3-0ubuntu8

Could you please re-open this bug and help me in getting this fixed before the release?

Thanks a lot...

Chris Samuel (chris-csamuel) wrote :

So far appears fixed for me on 9.04 (upgraded yesterday) with UXA enabled.

00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 02)

(II) intel(0): Integrated Graphics Chipset: Intel(R) G33

UXA is not going to be enabled by default in Jaunty release, as it has stability issues with X (frequent X freezes etc).
Without UXA, I can confirm that I still having the issues that are mentioned before.
So, its not yet fixed for me !!

LimCore (limcore) wrote :

If we can not fix this, then perhaps just disable the 3d stuff?

1) fugly / crappy Mac-wannabie 3d graphics with SECURITY BUGS all over
-or-
2) normal desktop, with good security

I think 2 must be the default then.

Chris Samuel (chris-csamuel) wrote :

Forgot to mention that I'm running the AMD64 2.6.29.1 kernel that the Ubuntu mainline kernel people package here - http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.29.1/ - which would be a confounding factor.

I find that on my chipset (G33) UXA appears to work better than EXA, so I'm happy to stick with it.

LimCore - if you want to test whether or not disabling 3D helps then you can use:

Option "DRI" "false"

and/or:

Option "NoAccel" "true"

in your xorg.conf to see which (if either) helps.

VestniK (vestnik) wrote :

I'm really wondering why this bug is marked as fixed?

I'm running Kubuntu 9.04 with all updates avaluable from official repositories and this bug still exists. The situation even become worth with upgrade from 8.10 to 9.04 (actually it was not upgrade but reinstallation since I always wondering which new changes in the installer are added in new release).

It is mentioned in this ticket that the rendering garbage is shown for less then a second in 8.10 while in 9.04 ithe garbage is not replaced by the proper picture until some action wich causes window to repaint itself (for example resizing the window affected by this bug).

I've red about using UXA to fix this bug and going to try it right now. I'm able to do it but I have a friend who is running kubuntu but have not enough knowlage to do it by herself. And marking this bug as fixed is a crime against such users! This bug is not fixed until the default installation with all upgrades from the default repositories works without this bug. Morover UXA is experimental and according from the description in wiki it can cause random Xserver crashes so it can't be suitable solution for this problem.

Please murk this bug as open and don't close it until it can be fixed by applying upgrades from the oficial repository. I'm shy to look at the yes of my friends who installed kubuntu by my advise and facing such unpleasent behaviour of the system.

Could a developer explain what the exact status of this bug is supposed to be in Jaunty? Since it's been marked as fixed, people have reported rather contradictory results: should they file separate bugs on a per-driver basis?

Myself I'm able to experience it with Intel i915, driver 2.7.1, EXA. I remember seeing it with UXA and latest 2.7.99 driver, which would be a real problem for the next releases - I'll check again and report.

Changed in xorg-server (Ubuntu):
status: Fix Released → Incomplete
Alan Jenkins (aj504) wrote :

You might also want to look at Bug 373161, "Kubuntu: Random garbage appears on old windows" (intel 965), which has been confirmed.

Timo Aaltonen (tjaalton) wrote :

Can you reproduce it with karmic?

Hi,

I don't have tested Karmic yet. I now run KDE 4.2.4 on Jaunty with Nvidia 180.44 drivers and it works fine.

Regards

-----Original Message-----
From: Timo Aaltonen
Sent: Thursday 30 July 2009 13:44:40
To: <email address hidden>
CC:
Subject: [Bug 254468] Re: MASTER: momentary video garbage upon drawing new objects (particularly in KDE)

> Can you reproduce it with karmic?

Laurent Pirotte
<email address hidden>
http://laurent.collectif.be

Vous aussi, passez à Linux !
Think Big, Vote Green

P Please consider the environment before printing this e-mail

sebas (sebasje) wrote :

On Monday 03 August 2009 23:00:16 lpirotte wrote:
> I don't have tested Karmic yet. I now run KDE 4.2.4 on Jaunty with
> Nvidia 180.44 drivers and it works fine.

Nvidia drivers don't expose the problem.
--
sebas

http://www.kde.org | http://vizZzion.org | GPG Key ID: 9119 0EF9

Bryce Harrington (bryce) wrote :

Should no longer be a problem on karmic since the patch that caused the original problem was dropped long ago.

Changed in xorg-server (Ubuntu):
status: Incomplete → Fix Released
tags: added: intel kubuntu
removed: epicfail intell
LimCore (limcore) wrote :

It indeed IS the case for nvidia, I myself seen it on both nvidia and intel.

Perhaps in more recent ubuntu nvidia's version works better, didnt test enough.
On nvidia it was less likely to happen, perhaps because usually more video ram (to be used, avoid re-using of not-cleared pixmaps)

For me, on Ubuntu 9.04 amd64 on nvidia - I did not seen this problem for some time now, will test for next week.

tags: added: nvidia
Travis Watkins (amaranth) wrote :

Once Qt 4.6 is released and in Ubuntu (hopefully karmic+1) we should be able to reenable this patch since Qt will use the sync request protocol just like GTK+ does.

LimCore (limcore) wrote :

On Nvidia on Quadcore amd64 Ubuntu 9.10 I did NOT notice this bug for some time now - but perhaps it is just less visible (happens too fast)

Not seen on Intel hardware under 10.4

Alex Valavanis (valavanisalex) wrote :

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the report. The bug has been fixed in newer releases of Ubuntu.

Changed in xorg-server (Ubuntu Intrepid):
status: Confirmed → Invalid
Changed in xorg-server:
status: Invalid → Unknown
Changed in xorg-server:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Patches

Remote bug watches

Bug watches keep track of this bug in other bug trackers.